%define upstream_name    Proc-Daemon
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Run a perl program as a daemon process
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(POSIX)
BuildArch:  noarch

%description
Proc::Daemon provides the capability for a Perl program to run
as a Unix daemon process.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Proc

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 372132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 107366
- update to 0.14

* Sun Apr 03 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 80140
- update to 0.10

* Wed Mar 16 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 72356
- update to 0.09

* Mon Mar 14 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 70990
- update to 0.08

* Tue Feb 22 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 56737
- update to 0.07

* Thu Feb 17 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 53203
- update to 0.06

* Tue Jan 18 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 22785
- cleaning spec file
- imported package perl-Proc-Daemon

